nao consigo instalar mais efeitos no compiz

1. nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 14/09/2014 - 11:00h

estou usando o ubuntu 13.04
entrei no site do compiz em Cgit baixei o animationaddon pelo comando;
git clone git://anongit.compiz.org/compiz/plugins/animationaddon

dai em diante nada.
enteri na pasta e o comando ./compiz-addons install all e ele da "Arquivo ou diretório não encontrado"


  


2. Re: nao consigo instalar mais efeitos no compiz

Perfil removido
removido

(usa Nenhuma)

Enviado em 14/09/2014 - 11:08h

Bom dia

1º. O Ubuntu 13.04 (raring) não tem mais suporte. Migre para o 12.04 precise LTS ou mesmo o 14.04 Trusty LTS.

2º. Cuidado com o compiz. Se seu equipamento trabalha no "sufoco", o compiz pode ser uma péssima idéia. Muitos relatos de "quebra" de sistema por causa dele.

Mas se sabe o que faz, veja o link:

http://www.livreuniverso.com.br/2013/04/como-ativar-efeitos-compiz-no-seu-ubuntu.html

Até...


3. Re: nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 14/09/2014 - 11:22h

me enganei com a versao. é o 14.04
no link nao ensina a instalar mais efeitos!


4. Re: nao consigo instalar mais efeitos no compiz

Ribeiro, M.S.
ribeirosga

(usa Ubuntu)

Enviado em 14/09/2014 - 11:37h

Meu caro, Compiz com Unity é quase pau com ctz...


5. Re: nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 14/09/2014 - 14:07h

nao gosto do unity, tirei ele.
sequi este tutorial;
http://ubuntued.info/como-instalar-plugins-do-compiz-fusion

mas o make da este erro;
make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.


6. Re: nao consigo instalar mais efeitos no compiz

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 14/09/2014 - 14:34h

olha, é dificil usar Compiz em Unity e GNOME3....

instale outro ambiente gráfico.

Compiz funciona bem melhor em LXDE, LXQT, MATE e XFCE,



O Tutorial que seguiu é antigo, é de 2008. aquele ubuntu usava GNOME2, não Unity. O tuto nãp funcionou, pq versão de Compiz dele é antiga



Primeira coisa, usa a central de programas, atualize os repos, instale os pacotes do XFCE, LXDE, MATE ou LXQT...

abra a sessão nele, no novo ambiente gráfico,

não use mais o Unity ou o GNOME3, mas não remova, por causa das deps.

no novo ambiente gráfico,
use novamente a central de programas e re-instale todos os pacotes com Compiz no nome, e mais ospacotes chamados ccsm. simple-ccsm, fusion-icon e emerald.

Instale também Cairo-Dock ou Cairo-Clock,
Se não quiser usar Cairo-Dock ou Cairo-Clock, não for usar, instale pelo menos a biblioteca chamada Cairo...

E se achar, instale um pacote chamado python-sexy, ele não é dep essencial, mas o Compiz funciona melhor com ele


7. Re: nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 18/09/2014 - 19:06h

aqui esta o conteudo do animationaddon;



-rw-r--r-- AUTHORS 368 logplain
-rw-r--r-- CMakeLists.txt 241 logplain
-rw-r--r-- ChangeLog 7740 logplain
-rw-r--r-- NEWS 230 logplain
-rw-r--r-- VERSION 9 logplain
-rw-r--r-- animationaddon.xml.in 14890 logplain
-rw-r--r-- compiz-animationaddon.pc.in 297 logplain
d--------- include 41 logplain
d--------- animationaddon 44 logplain
-rw-r--r-- animationaddon.h 10761 logplain

d--------- src 590 logplain
-rw-r--r-- airplane.cpp 19102 logplain
-rw-r--r-- animation_tex.h 16806 logplain
-rw-r--r-- animationaddon.cpp 8322 logplain
-rw-r--r-- beamup.cpp 6926 logplain
-rw-r--r-- burn.cpp 12331 logplain
-rw-r--r-- dissolve.cpp 1892 logplain
-rw-r--r-- domino.cpp 7575 logplain
-rw-r--r-- explode.cpp 3843 logplain
-rw-r--r-- fold.cpp 6774 logplain
-rw-r--r-- glide3.cpp 2686 logplain
-rw-r--r-- leafspread.cpp 3316 logplain
-rw-r--r-- particle.cpp 8570 logplain
-rw-r--r-- polygon.cpp 52895 logplain
-rw-r--r-- private.h 8240 logplain
-rw-r--r-- skewer.cpp 5416 logplain

estou sequindo este tuto;
http://wiki.compiz.org/Install/PluginsFromGit

mas no comando "make clean" ele da este erro;
make: *** Sem regra para processar o alvo `clean'. Pare.


8. Re: nao consigo instalar mais efeitos no compiz

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/09/2014 - 19:13h

tente make normal e não make clean.


9. Re: nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 19/09/2014 - 22:53h

:~/Programas/compiz/animationaddon$ ls
animationaddon.xml.in CMakeLists.txt NEWS
AUTHORS compiz-animationaddon.pc.in src
ChangeLog include VERSION
:~/Programas/compiz/animationaddon$ make
make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.
:~/Programas/compiz/animationaddon$ make clean
make: *** Sem regra para processar o alvo `clean'. Pare.
:~/Programas/compiz/animationaddon$

nada
tem um make neste animationaddon?


10. Re: nao consigo instalar mais efeitos no compiz

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/09/2014 - 23:04h

acabei de olhar o tutorial... ele fala só para compilar com:

$ make
$ make install

sem usar root, mas fala outras coisas, que vc precisa do pacote BCOP, está instalado?

outra coisa, make faz parte do GCC, do compilador. Ubuntu por padrão, não tem.

vc instalou os pacotes: build-essentials, autoconf, automake, make e cmake?


11. Re: nao consigo instalar mais efeitos no compiz

erich8
erich8

(usa Ubuntu)

Enviado em 19/09/2014 - 23:08h

o automake nao esta instalado.
nem o cmake
o BCOP nao achei, so o compiz-fusion-bcop

:~/Programas/compiz/animationaddon$ ./configure
bash: ./configure: Arquivo ou diretório não encontrado
:~/Programas/compiz/animationaddon$ make
make: *** Nenhum alvo indicado e nenhum arquivo make encontrado. Pare.
:~/Programas/compiz/animationaddon$ make clean
make: *** Sem regra para processar o alvo `clean'. Pare.
:~/Programas/compiz/animationaddon$

a dois dias eu compilei os drivers de um HP! e usei o make nele!

--

para que serve o comando automake?
:~/Programas/compiz/animationaddon$ automake
automake: error: 'configure.ac' is required
:~/Programas/compiz/animationaddon$



12. Re: nao consigo instalar mais efeitos no compiz

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 19/09/2014 - 23:52h

acho que automake, make e cmake, em sabayon são pacotes separados, mas no Ubuntu estão dentro do build-esssntials.

parece não ter arquivo para direcionar make no diretório do plugin.

veja este Link:

http://ubuntuforums.org/showthread.php?t=1200688

o autor do tópico disse que o método funcionou para ele



01 02